:root {
    /* --accent-color: #ff7c02;
    --accent-highlight-color: #ffff00; */
    --key-color: #ffffff;
    --highlight-color: #ee9797;
    --highlight-color-secondary: magenta;
    /* --backing-color: #666666; */
    --backing-color: #111111;
    --primary-background-color: #4d4e3a;
    --secondary-background-color: #490a0a;
    --transition-duration: 0.3s;
    font-family: Helvetica, Arial, sans-serif;
    --border-radius: 1rem;
}

html {
    margin: 0;
    /* min-height: 100%;     */
    background: linear-gradient(-10deg, var(--secondary-background-color), var(--backing-color) 25%) fixed;    
}

body {
    /*background-image: radial-gradient(circle at left top, var(--primary-background-color), var(--secondary-background-color));*/
    /* background: linear-gradient(var(--primary-background-color), var(--secondary-background-color)); */
    /* background: linear-gradient(-10deg, rgb(156, 69, 12), rgb(44, 30, 12), rgb(5, 5, 61), rgb(55, 34, 150)); */
    
    font-family: Helvetica, Arial, sans-serif;
    color: rgb(170, 170, 170);
    margin: 0;            
}

.flex-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    min-height: 100vh;
}

.footerimage {    
    display:block;
    margin: 0;
    position: fixed;
    right: 0;
    bottom: 0;        
    max-height: 33vh;
    width: auto;
    margin-right: 0;  
    z-index: -10;          
}

.bodycontent {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.footer {
    /*position: fixed;
    bottom: 0;
    left: 0;*/
    width: 100%;
    text-align: center;
}

.titlebanner {
    display: block;
    max-width: 80vw;
    max-height: 30vh;
    /* max-width: 600px; */
    margin-top: 64px;
    margin-bottom: 64px;    
    margin-left: auto;
    margin-right: auto;
    /* opacity: 0; */
}

h1, h2 {
    font-weight: bold;
    color: var(--highlight-color);
}

section {
    margin: 0;
    padding: 2em;
}

.sectionheader {
    text-align: left;
    font-size: 150%;
    margin: 0 2em;
}

.sectioncontent {
    margin: 0;
}

a {
    color: var(--key-color);    
}

a:visited{
    color: var(--key-color);    
}

a:hover {
    color: var(--highlight-color);
    transition: var(--transition-duration);
}

.screenshot{
    display: inline-block;
    max-width: 800px;    
    max-height: 50vh;
}

/* .smallscreenshot{
    max-width: 30%;
    max-height:30%;
} */

.previewImage {
    max-width: 30%;
    max-height:30%;
}

.heroImage {
    display: block;
    max-width: 800px;
    max-height: 80vh;
    margin-left: auto;
    margin-right: auto;
}

.youtube_wrapper {
    display: flex;
    justify-content: center;
}

.textbox {
    margin: 4em;
    background-color: rgba(44, 44, 44, 0.5);
    border-radius: var(--border-radius);
    padding: 1em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-width: 800px;
    margin: 2rem auto;
}

.margin_centered{
    margin-left: auto; 
    margin-right: auto;
}

nav ul{
    list-style: none;
    margin: 0;
    padding: 0;
}

nav ul li {
    margin: 0;
    padding: 0;
}

footer {
    background-color: var(--backing-color);
    margin: 0px;
}

.navbar {
    position: fixed;
    overflow: hidden;
    background-color: var(--backing-color);
    
    top: 0;
    width: 100%;
}

.navbarspacer {
    height: 3rem;
}

.navbar a {
    float: left;
    display: block;
    text-align: center;
    padding: 15px 18px;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
}

@media (max-width: 600px) {
    .navbar a {
      font-size: 12px;
    }
  }

ul.navbar {
    list-style-type: none;
    margin: 0;
    padding: 0;
    float: left;
    position: fixed;
    background-color: black;
    margin: 0px;
    width: 100%;
}

/* li {
    float: left;
    padding: 8px;
} */

span.copyright {
    display: block;
    margin: 1em;
    text-align: right;
}

.screenshotscontainer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;    
}

.screenshotwithoverlay {
    position: relative;
    transition: var(--transition-duration);
    /* width: 360px;    
    height: 360px; */
    /* max-width: 80vw;
    max-height: 80vw; */
    margin: 36px;
}

.screenshotwithoverlay img {
    max-width: 80vw;
    max-height: 80vw;
}

.overlayscreen {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    
    background-color: rgb(0, 0, 0, 0.75);
    opacity: 0;
    transition: var(--transition-duration);
}

.screenshotwithoverlay:hover .overlayscreen {
    opacity: 1;    
}

.overlaytitle {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--key-color);    
    margin: auto;
    text-align: center;           
    
    opacity: 0;
    transition: var(--transition-duration);
    font-size: 4vh;
    font-weight: bold;
}

.screenshotwithoverlay:hover .overlaytitle{
    opacity: 1;    
    color: var(--highlight-color);
}

figure {
    max-width: 100%;
    border: 1px solid grey;
    border-radius: var(--border-radius);
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

figure img {
    max-width: 100%;
    /*aspect-ratio: auto;*/
}

figcaption {
    text-align: center;
    margin: 0.5rem;
}

@keyframes bathover {
    from{
        transform: translateY(0px);
    }

    to{
        transform: translateY(-10px);
    }
}

@keyframes metroidhover {
    0%{
        transform: translate(-20px, 10px);
    }

    50% {
        transform: translate(0px, 0px);
    }

    100% {
        transform: translate(20px, 10px);
    }
}

#bat01 { animation: bathover 1s 0.1s infinite alternate ease-in-out; }
#bat02 { animation: bathover 1s -0.4s infinite alternate ease-in-out; }
#bat03 { animation: bathover 1s 0.7s infinite alternate ease-in-out; }
#bat04 { animation: bathover 1s -0.2s infinite alternate ease-in-out; }
#bat05 { animation: bathover 1s 0.9s infinite alternate ease-in-out; }
#bat06 { animation: bathover 1s -0.2s infinite alternate ease-in-out; }
#bat07 { animation: bathover 1s 0.5s infinite alternate ease-in-out; }
#bat08 { animation: bathover 1s -0.8s infinite alternate ease-in-out; }

#metroid { animation: metroidhover 3s infinite alternate ease-in-out; }
#metroid_svg {z-index: -10;}


/* Contact Form Styling */

input[type=text], select, textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box; /* Make sure the padding and width stay in place. */
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical; /* Allow the user to resize the text area vertically but not horizontally. */
}

input[type=submit] {
    /* background-color: #4CAF50; */
    background-color: var(--highlight-color);
    color:white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: 0.3s;
}

input[type=submit]:hover {
    /* background-color: #45a049; */
    background: var(--highlight-color-secondary);
    transform: scale(1.15);
}

/* Add a background color and some padding around the form. */
.container {
    border-radius: 5px;
    background-color: #444444;
    padding: 20px;
    margin: 20px auto;
    max-width: 50%;
}

/* End Contact Form Styling */